Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1067124

Summary: Satellite 5.4+: missing staging content documentation
Product: Red Hat Satellite 5 Reporter: Xixi <xdmoon>
Component: DocumentationAssignee: Russell Dickenson <rdickens>
Status: CLOSED CURRENTRELEASE QA Contact: Julie <juwu>
Severity: medium Docs Contact:
Priority: high    
Version: 570CC: adahms, rdickens, sbream, xdmoon
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-27 01:04:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1018166    

Description Xixi 2014-02-19 18:42:22 UTC
Description of problem:
Staging Content is a new feature introduced with Satellite 5.4 along with RHEL 5.6 and 6.1.  The documentation is missing though from 5.4 and up - could not find it in 5.4 Release Notes or any of the other docs.  There has been a kbase article though at https://access.redhat.com/site/solutions/42227.

This Bugzilla is for adopting content from the kbase https://access.redhat.com/site/solutions/42227 to the official docs, for the next Satellite 5 release (5.7).  

Version-Release number of selected component (if applicable):
Satellite docs 5.4+

How reproducible:
always

Steps to Reproduce:
1. (see above)
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Xixi 2014-02-19 18:45:34 UTC
A copy-paste of the https://access.redhat.com/site/solutions/42227 for reference:

How to enable staging content on RHN Satellite and client?
Updated November 3 2010 at 5:23 AM

Issue -

    How to enable staging content on RHN Satellite and client systems?

Environment -

    Server: Red Hat Network (RHN) Satellite 5.4 and above
    Client systems: Red Hat Enterprise Linux 5.6 and above, or Red Hat Enterprise Linux 6.1 and above

Resolution -

Staging Content is a new feature introduced with RHN Satellite 5.4 along with Red Hat Enterprise Linux 5.6 and 6.1.

With this feature you can still schedule package or errata deployment for a specific time, but now this action will be Staged on the client system before installation. Within the 24 hours before scheduled deployment, when the client next checks into the Satellite we will pre-download the rpm content onto the local disk of the system. Therefore when the scheduled action is executed, the specific packages and erratas are already cached on client. This will result in installations which will complete faster than without staging of the content.

This has several benefits:

    spread out client requests to RHN Satellite
    installation/upgrade of client packages take less time - shorter maintenance windows needed

This feature is disabled by default on the RHN Satellite. The RHEL client default configuration file is enabled. To use Staging Content you have to enable it on both client systems and within RHN Satellite for each Organization using it.
Enable staging content on RHN Satellite

Navigate to Admin -> Organization -> Your Organization -> Configuration.

Check the option: Enable Staging Contents
Enable staging content on client

Open file /etc/sysconfig/rhn/up2date in your favorite editor.

Make sure you have following lines there:

stagingContent[comment]=Retrieve content of future actions in advance
stagingContent=1

``

stagingContentWindow[comment]=How much forward we should look for future actions. In hours

stagingContentWindow=24

If these above entries are ommitted, then Staging Content within the client is defaulted to be disabled and window of time would be 24 hours in advance:

stagingContent=0

stagingContentWindow=24

Comment 7 Dan Macpherson 2015-08-24 05:13:44 UTC
Hi Xixi,

This is now live on the Portal:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Client_Configuration_Guide/sect-Enabling_Staging_Content.html

Does this suit the requirements in this bug? Are any further changes required?

Comment 10 Andrew Dahms 2017-07-04 11:42:05 UTC
Moving to 'NEW' and the default assignee to be triaged as the schedule allows.

Comment 12 Steve Bream 2017-07-13 11:55:50 UTC
I think that if it's still valid and not extraordinarily difficult to implement we should go ahead and do so. There are still discussions of what the lifespan of 5.8 will actually be, so we should support it as best we can until the end.

Thanks,
Steve

Comment 14 Julie 2017-07-25 04:13:02 UTC
Moving this bug to verified.

Cheers,
Julie

Comment 17 Andrew Dahms 2017-07-26 06:31:44 UTC
Hi Russell,

This guide has now been queued for publication, and should appear on the Customer Portal in the next few hours.

Kind regards,

Andrew